﻿@model BeerOverflow.Web.Models.BeerViewModel

@{
    ViewData["Title"] = "Edit";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Edit</h1>

<h4>Beer</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Edit">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <input type="hidden" asp-for="Id" />
            <div class="form-group">
                <label asp-for="Name" class="control-label">Name</label>
                <input asp-for="Name" class="form-control" />
                <span asp-validation-for="Name" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Type" class="control-label">Type</label>
                <select asp-for="Type" class="form-control" asp-items="ViewBag.Type"></select>
                <span asp-validation-for="Type" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Brewery" class="control-label">Brewery</label>
                <select asp-for="Brewery" class="form-control" asp-items="ViewBag.Brewery"></select>
                <span asp-validation-for="Brewery" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Country" class="control-label">Country</label>
                <select asp-for="Country" class="form-control" asp-items="ViewBag.Country"></select>
                <span asp-validation-for="Country" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="AlcoholPercentage" class="control-label">Alcohol Percentage</label>
                <input asp-for="AlcoholPercentage" class="form-control" />
                <span asp-validation-for="AlcoholPercentage" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    @Html.ActionLink("Back to List", "Index",
                new { @class = "btn btn-outline-primary btn-sm" })
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
